Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 93668 - IASL fails to compile with the actual ebuild
Summary: IASL fails to compile with the actual ebuild
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Robin Johnson
URL: http://www.noctambuls.net
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-23 04:30 UTC by Marc Vilanova
Modified: 2005-05-23 16:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch for solve the compile errors (iasl-20050309.patch,1.20 KB, patch)
2005-05-23 04:33 UTC, Marc Vilanova
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Vilanova 2005-05-23 04:30:17 UTC
When I try to emerge the IASL package this fails to compile, because the /etc/make.conf gcc flags are used instead of the Makefile flags from the package itself.

I have solved this problem changing and adding some lines on the ebuild. The patch for the actual ebuild is the following:

--- iasl-20050309.ebuild        2005-05-13 21:36:03.000000000 +0200
+++ iasl-20050309-r1.ebuild     2005-05-23 13:22:49.000000000 +0200
@@ -1,7 +1,8 @@
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2005 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-power/iasl/iasl-20050309.ebuild,v 1.2 2005/05/13 19:14:21 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-power/iasl/iasl-20050309-r1.ebuild,v 1.1 2005/05/13 00:32:18 robbat2 Exp $
 
+inherit flag-o-matic
 MY_PN="acpica-unix"
 MY_P="${MY_PN}-${PV}"
 DESCRIPTION="Intel ACPI Source Language (ASL) compiler"
@@ -15,10 +16,17 @@
 S="${WORKDIR}/${MY_P}"
 
 src_compile() {
-       cd ${S}/compiler && emake -j1 || die "make failed"
+       cd ${S}/compiler
+
+       # Compile problems with enviroment flags.
+       filter-flags "*"
+       filter-ldflags "*"
+       
+       # Use make and not emake to use the IASL Makefile gcc default flags.
+       make || die "make failed"
 }
 
 src_install() {
-       dobin compiler/iasl || die "iasl binary not created"
+       dosbin compiler/iasl || die "iasl binary not created"
        dodoc ${S}/README || die "README not found"
 }

Now with this new ebuild all works correctly.
Comment 1 Marc Vilanova 2005-05-23 04:33:44 UTC
Created attachment 59621 [details, diff]
Patch for solve the compile errors
Comment 2 Marc Vilanova 2005-05-23 04:46:55 UTC
Sorry, I found the bug one or two weeks ago. Now, I have tried the portage
updated ebuild and works well, but I still think that is safer to use the IASL
Makefile gcc flags.

So, my patch could be:

--- iasl-20050309.ebuild        2005-05-23 13:40:51.000000000 +0200
+++ iasl-20050309-r1.ebuild     2005-05-23 13:46:17.000000000 +0200
@@ -1,7 +1,8 @@
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2005 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-power/iasl/iasl-20050309.ebuild,v 1.2
2005/05/13 19:14:21 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-power/iasl/iasl-20050309-r1.ebuild,v 1.1
2005/05/13 00:32:18 robbat2 Exp $
 
+inherit flag-o-matic
 MY_PN="acpica-unix"
 MY_P="${MY_PN}-${PV}"
 DESCRIPTION="Intel ACPI Source Language (ASL) compiler"
@@ -15,6 +16,11 @@
 S="${WORKDIR}/${MY_P}"
 
 src_compile() {
+       # Compile problems with enviroment flags.
+       filter-flags "*"
+       filter-ldflags "*"
+       
+       # Use make and not emake to use the IASL Makefile gcc default flags.
        cd ${S}/compiler && emake -j1 || die "make failed"
 }
Comment 3 Henrik Brix Andersen 2005-05-23 05:38:08 UTC
Just for the record; the ebuild currently in portage works for you?
Comment 4 Marc Vilanova 2005-05-23 06:07:28 UTC
Hi Henrik,

As I commented in comment #2 it works now, but not when I found the bug few
weeks ago. I think we can make it more safer using the IASL Makefile gcc flags.
What do you think?
Comment 5 Henrik Brix Andersen 2005-05-23 06:09:57 UTC
No, that's against Gentoo policy. Only if a specific CFLAG renders the package
unusable, we will filter it in the ebuild.
Comment 6 Marc Vilanova 2005-05-23 16:41:55 UTC
Ok, I agree. Thanks